Package org.apache.felix.configurator.impl.model

## Class ConfigList

- java.lang.Object
- - org.apache.felix.configurator.impl.model.ConfigList

All Implemented Interfaces:
  `Serializable`, `Iterable<Config>`

    public class ConfigList
    extends Object
    implements Serializable, Iterable<Config>

The config list holds all configurations for a single PID

See Also:
  Serialized Form

### Constructor Summary

Constructors
`ConfigList()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add​(Config c)` Add a configuration to the list.
`void` `addAll​(ConfigList configs)` Add all configurations from another list
`long` `getChangeCount()` Get the change count.
`Config` `getLastInstalled()`
`boolean` `hasChanges()` Does this list need to be processed
`Iterator<Config>` `iterator()`
`void` `setChangeCount​(long value)` Set the change count
`void` `setHasChanges​(boolean value)` Set the has changes flag.
`void` `setLastInstalled​(Config lastInstalled)`
`int` `size()` Get the size of the list of configurations
`String` `toString()`
`void` `uninstall​(long bundleId)` Mark configurations for a bundle uninstall

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### ConfigList

    public ConfigList()

### Method Detail

#### hasChanges

    public boolean hasChanges()

Does this list need to be processed

Returns:
  `true` if it needs processing.

#### setHasChanges

    public void setHasChanges​(boolean value)

Set the has changes flag.

Parameters:
  `value` - New value.

#### add

    public void add​(Config c)

Add a configuration to the list.

Parameters:
  `c` - The configuration.

#### addAll

    public void addAll​(ConfigList configs)

Add all configurations from another list

Parameters:
  `configs` - The config list

#### size

    public int size()

Get the size of the list of configurations

Returns:

#### iterator

    public Iterator<Config> iterator()

Specified by:
  `iterator` in interface `Iterable<Config>`

#### getChangeCount

    public long getChangeCount()

Get the change count.

Returns:
  The change count

#### setChangeCount

    public void setChangeCount​(long value)

Set the change count

Parameters:
  `value` - The new change count

#### getLastInstalled

    public Config getLastInstalled()

#### setLastInstalled

    public void setLastInstalled​(Config lastInstalled)

#### uninstall

    public void uninstall​(long bundleId)

Mark configurations for a bundle uninstall

Parameters:
  `bundleId` - The bundle id of the uninstalled bundle

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`